<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>Visu with AJAX</title>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.0/jquery.min.js"></script>

<!--
In dem folgenden Script werden die Daten mit der loxone-get.php ohne DB direkt aus der Loxone abgerufen
-->
<script>
      function UpdateDirect(){
         $.ajax({
          url: "loxone-get.php",
          type: "POST",
          success: function(data)
	     {
            var response = $.parseJSON(data);

		/* Variable bgimage anpassen */
		var bgimage = "url(" + response.background + ")";
		/* Im CSS Code das background-image aktualisieren */
		$('body').css('background-image', bgimage);

		/* Im CSS Code die Position der Zuluft Temperatur aktualisieren */
		$('#a_zu').css('left', response.a_zu_left);

		/* Wert fr Verbrauch aktualisieren */
		document.getElementById('verbrauch').innerHTML = response.verbrauch;		

		document.getElementById('date').innerHTML = response.date;
		}
        });
      }
      UpdateDirect();
      setInterval(UpdateDirect, 3000);
</script>
	
<script>
      function UpdateFromDB(){
         $.ajax({
          url: "db-get.php",
          type: "POST",
          success: function(data)
	     {
            var response = $.parseJSON(data);

			/* Wert fr Lftungsanlage aktualisieren */
            document.getElementById('aussen').innerHTML = response.aussen;
            document.getElementById('fort').innerHTML = response.fort;
            document.getElementById('ab').innerHTML = response.ab;
            document.getElementById('zu').innerHTML = response.zu;
            document.getElementById('stufe').innerHTML = response.stufe;

			/* Special Image src */
			var image = "./pics/" + response.specialstatus + ".png";
			document.getElementById('image1').src = image;

			/* Special Position */
			var specialposv = response.specialposv + "px";
			$('#a_image1').css('top', specialposv);
			var specialposh = response.specialposh + "px";
			$('#a_image1').css('left', specialposh);
		}
        });
      }
      UpdateFromDB();
      setInterval(UpdateFromDB, 1000);
</script>


<script>
		function LoxonePulse(LoxoneLabel){
		var label = LoxoneLabel;
		$.ajax({
          url: "loxone-set.php?label=" + label,
          type: "POST"
		});
      }
	</script>

<style type="text/css">
<!--
body {
    background-color: #000;
    background-repeat: no-repeat;
}

img {
	border : 0;
}

p {
    height: 100%;
    line-height: 1.4em;
    font-size: 18px;
    font-family: Arial;
    font-weight:bold;
    color: #333;
    text-align: center;
}

#a_date {
        position: absolute;
        top: -20px;
        left: 5px;
	}

/* Werte der Lftungsanalge */

#a_aussen {
        position: absolute;
        top: 54px;
        left: 336px;
	}

#a_fort {
        position: absolute;
        top: 54px;
        left: 178px;
	}

#a_ab {
        position: absolute;
        top: 431px;
        left: 336px;
	}

#a_zu {
        position: absolute;
        top: 431px;
        left: -100px;
	}

#a_verbrauch {
        position: absolute;
        top: 313px;
        left: 50px;
	}

#a_stufe {
        position: absolute;
        top: 190px;
        left: 80px;
	}

/* Button Lftungsanalge */
	
#a_button_up {
        position: absolute;
        top: 240px;
        left: 40px;
}

#a_button_down {
        position: absolute;
        top: 240px;
        left: 100px;
}

/* Special Image/Button (ohne Funktion) */

#a_image1 {
	position: absolute;
	top: 500px;
    left: 500px;
}

-->
</style>

</head>

<body>
	<div id="a_date">
      <p id="date">DATE</p>
    </div>
	
	<div id="a_aussen">
		<p id="aussen">AUSSEN</p>
    </div>

    <div id="a_fort">
      <p id="fort">FORT</p>
    </div>

    <div id="a_ab">
      <p id="ab">AB</p>
    </div>

    <div id="a_zu">
      <p id="zu">ZULUFT</p>
    </div>

    <div id="a_verbrauch">
      <p id="verbrauch">VERBRAUCH</p>
    </div>

    <div id="a_stufe">
      <p id="stufe">STUFE</p>
    </div>
 
 <!-- Steuerung (Lfter) der Lftungsanlage-->
 
	<div id="a_button_up">
		<button type="button" onclick="LoxonePulse('VI70')">+</button>
	</div>

	<div id="a_button_down">
		<button type="button" onclick="LoxonePulse('VI71')">-</button>
	</div>
 
<!-- 
Das Symbol kann dynamisch ber CSS (a_image) positioniert werden,
einen Loxone Befehl (LoxonePulse) ausfhren und
das Image kann ber src angepasst werden -->

	<div id="a_image1">
		<a href="#" onclick="LoxonePulse('Test')">
			<img src="" id="image1"/>
		</a>
	</div>
  </body>
</html>